Accesskeys
Per user access key. This tag groups all operations for accesskeys.
This endpoint enables retrieving all Accesskeys using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100The accesskey ID to filter by.
Returned all requested Accesskeys successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of AccessKey resources.
5cd907ee-6b6a-5e3a-abaf-5c2edd01d78cThe type of the resource.
The URL of the list of AccessKey resources.
/accesskeysThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /accesskeys HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "5cd907ee-6b6a-5e3a-abaf-5c2edd01d78c",
"type": "collection",
"href": "/accesskeys",
"items": [
{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"type": "accesskey",
"href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"administrative": false,
"supportedRegions": [
"de",
"eu-central-2",
"eu-south-2"
]
},
"properties": {
"description": "Access key details",
"accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
"secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
"canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
"contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Creates a new AccessKey.
The full AccessKey needs to be provided to create the object. Optional data will be filled with defaults or left empty.
The token can be generated using the Authentication API.
Metadata
AccessKey successfully created.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afThe type of the resource.
The URL of the AccessKey.
/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
POST /accesskeys HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65
{
"metadata": {},
"properties": {
"description": "Access key details"
}
}{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"type": "accesskey",
"href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"administrative": false,
"supportedRegions": [
"de",
"eu-central-2",
"eu-south-2"
]
},
"properties": {
"description": "Access key details",
"accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
"secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
"canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
"contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
}
}Returns the AccessKey by ID.
The token can be generated using the Authentication API.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afGetting AccessKey was successful.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afThe type of the resource.
The URL of the AccessKey.
/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"type": "accesskey",
"href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"administrative": false,
"supportedRegions": [
"de",
"eu-central-2",
"eu-south-2"
]
},
"properties": {
"description": "Access key details",
"accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
"secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
"canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
"contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
}
}Ensures that the AccessKey with the provided ID is created or modified. The full AccessKey needs to be provided to ensure (either update or create) the AccessKey. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.
The token can be generated using the Authentication API.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afThe ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afMetadata
AccessKey successfully updated.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afThe type of the resource.
The URL of the AccessKey.
/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afAccessKey successfully ensured.
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
PUT /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {},
"properties": {
"description": "Access key details"
}
}{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"type": "accesskey",
"href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"administrative": false,
"supportedRegions": [
"de",
"eu-central-2",
"eu-south-2"
]
},
"properties": {
"description": "Access key details",
"accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
"secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
"canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
"contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
}
}Deletes the specified AccessKey.
The token can be generated using the Authentication API.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afDeleting AccessKey was successful.
No content
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
DELETE /accesskeys/{accesskeyId} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Renew will replace the existing secret access key with a new one.
The token can be generated using the Authentication API.
The ID (UUID) of the AccessKey that should be ensured.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afAccessKey successfully updated.
The ID (UUID) of the AccessKey.
fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afThe type of the resource.
The URL of the AccessKey.
/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0afAccessKey successfully ensured.
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
PUT /accesskeys/{accesskeyId}/renew HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"type": "accesskey",
"href": "/accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"administrative": false,
"supportedRegions": [
"de",
"eu-central-2",
"eu-south-2"
]
},
"properties": {
"description": "Access key details",
"accessKey": "00000Du4KiV8A1tGUbjI2Ky1YmXqXnCpaQpgWw6_1V5fhMPRnAAAAAEIkfcQAAAAAAiR9xAioHCB_FWuNJ4un864Pouw",
"secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
"canonicalUserId": "a73e086eeaaa03e21e4e932ac8a2ed7a",
"contractUserId": "11111111:00000000-0000-0000-0000-000000000000"
}
}Last updated
Was this helpful?